/* Ajustes en Bootstrap */
.btn {
	white-space: nowrap;
}
.input-group {
	flex-wrap: nowrap;
}
.alert {
	padding-top: 0.5rem;
	padding-bottom: 0.5rem;
}
.table-responsive {
	max-height: 75vh;
}
.table-responsive thead th {
	position: sticky;
	top: 1px;
	background-clip: padding-box;
	background-color: #FFF;
	color: #212529;
	box-shadow: 1px 1px #dee2e6, -1px -1px #dee2e6;
	z-index: 10;
}
.table thead th {
	vertical-align: middle!important;
	border-bottom-width: 1px!important;
}
.dropdown-item:hover {
	background-color: #343a40;
	color: #FFF;
}
.form-check-input-big {
	width: 1.5em;
	height: 1.5em;
	margin-top: 0;
}
.tooltip-inner {
	text-align: left;
}
/*
.tooltip.show {
	opacity: 1;
}
td>span.input-group-text {
	min-height: 38px;
}
textarea.form-control {
	min-height: 38px;
}
.custom-file-label::after {
	display: none!important;
}
.modal-xxl {
	max-width: calc(100% - 2rem);
	max-height: calc(100% - 2rem);
	margin: 1rem;
}
.modal-xxl .modal-content {
	max-width: calc(100vw - 2rem);
	max-height: calc(100vh - 2rem);
}
.checkbox-lg .custom-control-label::before, .checkbox-lg .custom-control-label::after {
	top: 10px;
	width: 1.8rem;
	height: 1.55rem;
}
.checkbox-lg .custom-control-label {
	padding-top: 10px;
	padding-left: 10px;
}
.custom-switch.custom-switch-md {
    padding-left: 0;
}
.custom-switch.custom-switch-md .custom-control-label {
    width: 2.75rem;
    padding-bottom: 1.5rem;
}
.custom-switch.custom-switch-md .custom-control-label::before {
    height: 1.5rem;
    width: 2.75rem;
    border-radius: 3rem;
    padding: 0;
    top: 0;
    left: 0;
}
.custom-switch.custom-switch-md .custom-control-label::after {
    width: 1.25rem;
    height: 1.25rem;
    border-radius: 1.25rem;
    top: 0.125rem;
    left: 0.125rem;
}
.custom-switch.custom-switch-md .custom-control-input:checked~.custom-control-label::after {
    transform: translateX(1.25rem);
}
.btn-outline-dark {
	color: inherit;
}
*/

/* Ajustes en plugins */

input.dtpckr {
	min-width: 110px;
}
.datepicker-dropdown {
	z-index: 2000;
}
.leaflet-popup-content {
	margin: 5px;
	font-size: 1rem;
}
.mdtimepicker {
	color: #212529;
}
.mdtimepicker .mdtp__wrapper {
	bottom: 50%;
	transform: translateX(-50%) translateY(50%) scale(1);
}

/* CSS personalizado */

html, body {
  	overscroll-behavior-y: contain;
}
.sort-1 {
	background-image: none;
	background-repeat: no-repeat;
	background-position: top right;
	cursor: pointer;
}
.sort-1:hover {
	background-color: #343a40!important;
	color: #FFF;
}
.sort-2 {
	background-image: none;
	background-repeat: no-repeat;
	background-position: top right;
	cursor: pointer;
}
.sort-2:hover {
	background-color: #343a40!important;
	color: #FFF;
}
.td-1 {
	width: 10px;
}
.th-wrap {
	font-weight: 700;
	vertical-align: middle!important;
	width: 10px;
	white-space: normal;
}
.th-nowrap {
	font-weight: 700;
	vertical-align: middle!important;
	width: 10px;
	white-space: nowrap;
}
.alert-toggler {
	padding: .25rem;
	margin-bottom: 0;
	border-bottom-left-radius: 0;
	border-bottom-right-radius: 0;
}
.alert-toggler h5 {
	cursor: pointer;
	margin: .125rem 0 .3rem;
}
.app_loader_bg {
	position: fixed;
	top: 0;
	left: 0;
	z-index: 2001;
	width: 100vw;
	height: 100vh;
	background: #FFF;
	opacity: .5;
}
.app_loader_spinner {
	position: fixed;
	top: 0;
	left: 0;
	z-index: 2002;
	width: 100vw;
	height: 100vh;
	text-align: center;
	padding-top: 50vh;
}
.aspect_ratio_container {
	width: 100%;
	padding-top: 75vh;
	position: relative;
}
.aspect_ratio {
	position: absolute;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
}
.ano {
	text-align: center;
	width: 90px!important;
	min-width: 90px!important;
	max-width: 90px!important;
}
.fecha {
	text-align: center;
	width: 110px!important;
	min-width: 110px!important;
	max-width: 110px!important;
}
.abtn {
	cursor: pointer;
	text-decoration: underline;
	color: inherit;
}
.abtn:hover {
	text-decoration: none;
	color: inherit;
}
.cursor-pointer {
	cursor: pointer;
}
.span-wrap {
	white-space: normal!important;
	text-align: left!important;
	display: -ms-flexbox;
	display: flex;
	-ms-flex-align: center;
	align-items: center;
	padding: .375rem 0;
	margin-bottom: 0;
	font-size: 1rem;
	font-weight: 400;
	line-height: 1.5;
}
.span-nowrap {
	white-space: nowrap!important;
	text-align: left!important;
	display: -ms-flexbox;
	display: flex;
	-ms-flex-align: center;
	align-items: center;
	padding: .375rem 0;
	margin-bottom: 0;
	font-size: 1rem;
	font-weight: 400;
	line-height: 1.5;
}
.flex-gap {
	gap: 0.25rem;
}
.flex-gap-2 {
	gap: 0.5rem;
}
.flex-gap-3 {
	gap: 1rem;
}
.btn-icon-big {
	font-size: 1.5rem;
	padding: 0 0.375rem;
}